package com.winhc.bigdata.flink.java.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ZhangJi
 * @since 2021-10-22 11:13
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class MetaInfo {
    private CompanyInfo company;
    private ElasticSearchInfo es;
    private HbaseInfo hbase;
    private HologresInfo holo;

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class CompanyInfo {
        private String companyId;
        private String companyName;
    }


    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class ElasticSearchInfo {
        private String index;
        private String type;
    }

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class HbaseInfo {
        private String table;
        private String cf;
    }

    @Data
    @AllArgsConstructor
    @NoArgsConstructor
    public static class HologresInfo {
        private String table;
        private String shema;
    }

}
